"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const questions = [
    {
        name: 'name',
        message: 'What is the name for your app?',
        type: 'input',
        validate: (name) => /^[a-z0-9-]+$/.test(name) ? true : 'Only use lowercase alphanumeric and -'
    },
    {
        name: 'router',
        message: 'Which router would you like to use?',
        type: 'list',
        choices: [
            { value: 'express', name: 'Express' }
            // Future options (supported by Apollo Server): Fastify, hapi, Koa, Micro,
        ]
    },
    {
        name: 'gql',
        message: 'Use Apollo GraphQL Server and Client?',
        type: 'confirm'
    },
    {
        name: 'auth',
        message: 'Which Auth Provider would you like to use?',
        type: 'list',
        choices: [
            { value: 'firebase', name: 'Firebase' },
            // Future options: Auth0
            { value: 'jwt', name: 'JSON web token' } // TODO: when chosing jwt, a .env file should be created with an AUTH_SECRET
        ]
    },
    {
        name: 'storage',
        message: 'Which Datebase would you like to use?',
        type: 'list',
        choices: [
            { value: 'mongodb', name: 'MongoDB' },
            { value: 'pgsql', name: 'PostgreSQL' },
            { value: 'no', name: 'None' }
        ]
    },
    {
        name: 'orm',
        message: 'Would you like to use TypeORM?',
        type: 'confirm',
        when: ({ storage }) => [null, 'mongodb'].indexOf(storage) < 0
    },
    {
        name: 'ui',
        message: 'Which UI Framework would you like to use?',
        type: 'list',
        choices: [
            { value: 'mui', name: 'Material UI' },
            { value: 'no', name: 'None' }
        ]
    },
    {
        name: 'port',
        message: 'Which port do you want the server to run on',
        type: 'number',
        default: 3001,
        when: () => false
    }
];
exports.default = questions;
//# sourceMappingURL=questions.js.map