import 'reflect-metadata'
import 'dotenv/config'
import app from '../src/server/initApp'
import '../server/initDatabaseClient'
import admin from 'firebase-admin'
import http from 'http'

// initialize firebase admin
let firebaseAdmin: admin.app.App
try {
  firebaseAdmin = admin.initializeApp({
    credential: admin.credential.cert(JSON.parse(process.env.FIREBASE_ADMIN))
  })
} catch (e) {
  console.error('Error parsing FIREBASE_ADMIN env', e)
}

/* Create your api routes */

// create HTTP server
const httpServer = http.createServer(app)
export default httpServer
